global vals;
global inputV;
global inputD;

nsteps=9;
[~,~,displayBaseline,displayRange,~,maxLevel] = ...
    CalibrateMonitorPhotometer(nsteps, 1);

lum=vals*displayRange+displayBaseline;

tbl=table(inputV',inputD',lum',vals');

formatOut = 'yyyymdd_HHMM';
d=datestr(datetime('now'),formatOut);
save(['luminance-curve_' d],'tbl','displayBaseline','displayRange','maxLevel');

f=figure;
subplot(1,2,1);plot(inputV,vals,'o')
xlabel('in (norm)');ylabel('out (norm)');
subplot(1,2,2);plot(inputD,lum,'o')
xlabel('in');ylabel('out');

saveas(f,['luminance-curve_' d '.fig']); 
close(f);